# -*- coding: utf-8 -*-

from django.conf import settings
from django.urls import path

from . import views

urlpatterns = []

if settings.ENABLE_API_DOC:
    urlpatterns.append(path('schema/<str:profile>/', views.ThxSpectacularAPIView.as_view(), name='schema'))

    if settings.THX_OPENAPI_ENABLE_SWAGGER_UI_URL:
        urlpatterns += [
            path(
                'schema/<str:profile>/swagger-ui/',
                views.ThxSpectacularSwaggerView.as_view(url_name='schema'),
                name='swagger-ui'
            ),
        ]

    if settings.THX_OPENAPI_ENABLE_REDOC_URL:
        urlpatterns += [
            path(
                'schema/<str:profile>/redoc/',
                views.ThxSpectacularRedocView.as_view(url_name='schema'),
                name='redoc'
            ),
        ]
